apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
- resources
configMapGenerator:
  - name: fastplatform-addons-navigator-f3-config
    envs:
      - navigator-f3.conf
generatorOptions:
  labels:
    fastplatform.eu/kustomize-config: "true"
  disableNameSuffixHash: true
vars:
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-csrf-cookie-secure
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-csrf-cookie-secure']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-databases-disable-server-side-cursors
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-databases-disable-server-side-cursors']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-databases-postgres-conn-max-age
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-databases-postgres-conn-max-age']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-debug
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-debug']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-language-code
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-language-code']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-log-level
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-log-level']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-secret-key.b64
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-secret-key.b64']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-secure-hsts-seconds
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-secure-hsts-seconds']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-session-cookie-secure
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.django-session-cookie-secure']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.enable-young-trees
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.enable-young-trees']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.pdf-generator-language-code
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.pdf-generator-language-code']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.knative.public-name
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.knative.public-name']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.knative.minscale
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.knative.minscale']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.knative.target
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.knative.target']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.opentelemetry-exporter-zipkin-endpoint
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.opentelemetry-exporter-zipkin-endpoint']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.opentelemetry-sampling-ratio
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.opentelemetry-sampling-ratio']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.opentelemetry-service-name
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.opentelemetry-service-name']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backrest.storage.class
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backrest.storage.class']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backrest.storage.size
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backrest.storage.size']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.repo-path
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.repo-path']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.access-key.b64
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.access-key.b64']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.bucket-name
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.bucket-name']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.ca-cert.b64
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.ca-cert.b64']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.endpoint
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.endpoint']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.region
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.region']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.secret-key.b64
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.secret-key.b64']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.uri-style
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.uri-style']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.verify-tls
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.s3.verify-tls']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.storage-types
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.backup.storage-types']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.image.prefix
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.image.prefix']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.image.tag
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.image.tag']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.pooler.resources.requests.cpu
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.pooler.resources.requests.cpu']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.pooler.resources.requests.memory
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.pooler.resources.requests.memory']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.primary.storage.class
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.primary.storage.class']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.primary.storage.size
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.primary.storage.size']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.replica.count
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.replica.count']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.replica.storage.class
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.replica.storage.class']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.replica.storage.size
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.replica.storage.size']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.resources.requests.cpu
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.resources.requests.cpu']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.resources.requests.memory
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.resources.requests.memory']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.user.navigator-f3.password.b64
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.user.navigator-f3.password.b64']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.user.postgres.password.b64
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.postgres.user.postgres.password.b64']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.resources.requests.cpu
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.resources.requests.cpu']
- name: fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.resources.requests.memory
  objref:
    kind: ConfigMap
    name: fastplatform-addons-navigator-f3-config
    apiVersion: v1
  fieldref:
    fieldpath: data['fastplatform.addons.navigator-f3.services.fertilization.navigator-f3.resources.requests.memory']
